ST_MakeSolid
Prev | 8.20. SFCGAL Functions | Next

## Name

ST_MakeSolid — Cast the geometry into a solid. No check is performed. To obtain a valid solid, the input geometry must be a closed Polyhedral Surface or a closed TIN.

## Synopsis

`geometry ST_MakeSolid(`geometry geom1`)`;

## Description

Availability: 2.2.0

This method needs SFCGAL backend.

This function supports 3d and will not drop the z-index.

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

Prev | Up | Next
ST_IsSolid | Home | ST_MinkowskiSum